# etop

### MODULE

etop

### MODULE SUMMARY

Erlang Top is a tool for presenting information about erlang processes similar to the information presented by "top" in UNIX.

### DESCRIPTION

`etop` should be started with the provided scripts `etop` and `getop` for text based and graphical presentation respectively. Under Windows the batch files `etop.bat` and `getop.bat` can be used.

All interaction with `etop` when running the graphical presentation should happen via the menus. For the text based presentation the functions described below can be used.

The following configuration parameters exist for `etop`.

node
  The measured node.
  Value: atom()
  Mandatory
setcookie
  Cookie to use for the etop node - must be the same as the cookie on the measured node.
  Value: atom()
lines
  Number of lines (processes) to display.
  Value: integer()
  Default: 10
interval
  The time interval (in seconds) between each update of the display.
  Value: integer()
  Default: 5
accumulate
  If `true` the execution time and reductions are accumulated.
  Value: boolean()
  Default: `false`
sort
  Identifies what information to sort by.
  Value: `runtime | reductions | memory | msg_q`
  Default: `runtime` (`reductions` if `tracing=off`)
tracing
  `etop` uses the erlang trace facility, and thus no other tracing is possible on the measured node while `etop` is running, unless this option is set to `off`. Also helpful if the `etop` tracing causes too high load on the measured node. With tracing off, runtime is not measured.
  Value: `on | off`
  Default: `on`

### EXPORTS

`config(Key,Value) -> Result`

Types:

`Result = ok | {error,Reason}`
`Key = lines | interval | accumulate | sort`
`Value = term()`

This function is used to change the tool's configuration parameters during runtime. The table above indicates the allowed values for each parameter.

`dump(File) -> Result`

Types:

`Result = ok | {error,Reason}`
`File = string()`

This function dumps the current display to a text file.

`stop() -> stop`

This function terminates `etop`.

### AUTHORS

Siri Hansen - support@erlang.ericsson.se

observer 0.9.5
Copyright © 1991-2003 Ericsson Utvecklings AB